function add_rectangle(dir_ref, racine, num_img_deb, nb_image)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  Nom : add_rectangle
%%  Permet de rajouter un rectangle en haut et en bas de l'image  partir 
%%  d'un point slectionn  la souris
%%
%%  entres
%%    dir_ref : rpertoire dans lequel se trouve les images  traiter
%%    racine  : nom gnrique des images
%%    num_img_deb  : numro de la premire image  traiter de la srie
%%    nb_image : nombre d'images  traiter
%%
%%  exemple : add_rectangle('M:\temp\img\', 'Squence', '0101', 10)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%%  date : 16/01/2008
%%  auteur : Christophe Savariaux
%%  Gipsa-lab, DPC - Grenoble
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% on dfinit les valeurs des pixels  colorier
val_pix_rouge = 53;
val_pix_vert = 81;
val_pix_bleu = 180;

% nom du fichier film gnr
nom_avi = [dir_ref racine '.avi'];
film = avifile(nom_avi);
film=set(film,'fps',25,'Quality',100,'Compression','None');

for ii=1:nb_image
    % Noms des fichiers de sortie
    if ii < 10
        nom_bmp = [dir_ref racine, '_', sprintf('0%d',str2num(num_img_deb)+ii-1), '.bmp'];
    else
        nom_bmp = [dir_ref racine, '_', sprintf('%d',str2num(num_img_deb)+ii-1), '.bmp'];
    end
    nom_img_bas = [nom_bmp(1:length(nom_bmp)-4) '_rb.bmp'];
    nom_img_haut = [nom_bmp(1:length(nom_bmp)-4) '_rh.bmp'];
    
    % Ouverture du fichier image 
    [Im, map_color]=imread(nom_bmp);
    % on recopie l'image dans 2 vecteurs
    Im_bas = Im;
    Im_haut = Im;
    % on dfinit la figure
    nom_figure = ['Fichier trait : ', nom_bmp];
    h=figure(1);
    set(h,'position',[100 100 1000 800], 'name', nom_figure, 'NumberTitle', 'off');

    % Cadrage de l'image  ------------------------------------
    if ~isempty(Im)
        Xg = 1; Xd = size(Im,2); Yb = 1; Yh = size(Im,1);
    end % if ~isempty(Im)
    
    % Affichage image seule ------------------------------------
    clf;
    if ~isempty(Im)
        image(Im); 
    end

    hold on;
    % Acquisition du repre
    [X_input, Y_input, button] = ginput(1);
    lgn_y = round(Y_input);
    
    % on remplit la partie basse en bleu
    for i_verti = lgn_y:Yh
        for i_hor = Xg:Xd
            Im_bas(i_verti,i_hor,:)=[val_pix_rouge val_pix_vert val_pix_bleu];
        end
    end
    % on remplit la partie haute en bleu
    for i_verti = 1:lgn_y
        for i_hor = Xg:Xd
            Im_haut(i_verti,i_hor,:)=[val_pix_rouge val_pix_vert val_pix_bleu];
        end
    end

    % on dessine seulement le rectangle haut
    image(Im_haut);
    % on exporte les images
    imwrite(Im_bas, nom_img_bas);
    imwrite(Im_haut, nom_img_haut);
    
    % on selectionne le rectangle du haut pour l'inserer dans un film
    F = getframe(gcf);
    film = addframe(film,F); 
    
end % for ii

Msg='C''est fini !!';
xlabel(Msg, 'FontSize', 20);
pause(2)
close(h);
film_obj=close(film);

