function calc_moy_tac
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	FUNCTION calc_moy_tac : permet de calculer les moyennes des parametres
%	issus du ficier .tac  partir du fichier contenant les valeurs des
%	formants et les instants de deb et de fin
%
%
%  Sortie :
%   resultat stock dans un fichier file_in_all.txt
%
%             
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%														
%	date : 9 juin 2006
%	auteur : Christophe Savariaux								
% 	ICP - Grenoble		
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% On recupere le fichier texte de dpart, issu du fichier excel
[filename, pathname, filterindex] = uigetfile('*.txt',...
    'Recherche du fichier texte');

% On teste qu'on a bien rentr qqchose
if (filename == 0)
    disp('Bye Bye !')
    return;
else
    file_in = [pathname filename];
end

file_all = [file_in(1:end-4) '_all.txt'];

% on ouvre le fichier
fid = fopen(file_in);
if (fid == -1)
   errordlg('Pb a l''ouverture du fichier d''entre (.txt) !!!!','Erreur','on');
   return;
end

% on ecrit le tout dans un fichier
fid_out = fopen(file_all,'wt');
if (fid_out == -1)
    errordlg('Pb a l''ouverture du fichier de sortie !!!!','Erreur','on');
    return;
end
%On ecrit dans le fichier resultat la legnede sur la 1ere ligne
fprintf(fid_out, 'sequence\t tps_deb\t tps_fin\t F1\t F2\t F3\t F0\t trame_deb\t trame_fin\t ');
fprintf(fid_out, 'A\t B\t S\t P1\t P2\t C\t C''\t  A''\t B''\t S''\t P1Y\t P2Y\t CY\t C''Y\t XGprofil\t ');
fprintf(fid_out, 'YGprofil\t XGface\t YGface\t XGautre\t YGautre\t XAd\t YAd\t XAg\t YAg\t XBh\t ');
fprintf(fid_out, 'YBh\t XBb\t YBb\t XA''d\t YA''d\t XA''g\t YA''g\t XB''h\t YB''h\t XB''b\t YB''b\n');

coef = 0.02; % 20ms
while 1
%     %on recupere le nom de fichier
%     file=fscanf(fid, '%s', 1);
%     file_tac = [pathname file '.tac'];
%         
%     %on recupere les valeurs acoustiques
%     resu=fscanf(fid, '%f', 7);
%     
%     tps_deb=resu(1,:);
%     tps_fin=resu(2,:);
%     F1=resu(3,:);
%     F2=resu(4,:);
%     F3=resu(5,:);
%     F0=resu(6,:);
    l = fgetl(fid);
    [file, tps_deb, tps_fin, F1, F2, F3, F0, lpc] = strread(l,'%s %f %f %d %d %d %d %d');
    file_tac = [pathname char(file) '.tac'];

    % on recupere les valeurs des levres
    [param_lev, TC, NbLignes, Nb_err, TC_err] = charge_tacle(file_tac);

    deb = round(tps_deb/coef);
    fin = round(tps_fin/coef);
    
    moy_param=mean(param_lev(:,deb:fin)');
    
    fprintf(fid_out, '%s\t%2.3f\t%2.3f\t%d\t%d\t%d\t%d\t%d\t%d\t', char(file), tps_deb ,tps_fin, F1,F2,F3,F0, deb, fin);
    fprintf(fid_out, '%2.3f\t',moy_param);
    fprintf(fid_out, '\n');
    
    
    % on teste si on est a la fin du fichier
    fscanf(fid, '%c', 1);
    if (feof(fid) == 1) % on sort
        break
    else      % sinon on recule d'un element
        fseek(fid,-1,0);
    end
end %while 1

fclose(fid);
fclose(fid_out);
msg=['Fichier rsultat cr : ' file_all];
disp(msg)

%autre methode pour lire le fichier texte
%l = fgetl(fid)
%[file, tps_deb, tps_fin, F1, F2, F3, F0, lpc] = strread(l,'%s %f %f %f %f %f %f %f')
%file_tac = [pathname file '.tac'];


