function capt2tacle;

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	FUNCTION capt2tacle : 
%   Permet de construire le fichier batch de tacle  partir du fichier
%   de capture
%
%   Les paramtres pour construire le fichier sont demands via une
%   interface de dialogue
%
%   Remarque : le fichier ne doit pas contenir plus d'un ligne vide  la fin
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%														
%	date : 17 fvrier 2006
%	auteur : Christophe Savariaux								
% 	ICP - Grenoble		
%														
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% On recupere le fichier batch capture de dpart
[filename, pathname, filterindex] = uigetfile('batch_capt*.txt',...
    'Recherche du fichier batch capture');

% On teste qu'on a bien rentr qqchose
if (filename == 0)
    disp('Bye Bye !')
    return;
else
    nom_fich_capt = [pathname filename];
end

% On demande les parametres du fichier batch
prompt={'Entrer le nom du fichier batch de sortie (.txt) :',...
    'Entrer le nom et le path du fichier de paramtres (.par) :',...
    'Entrer le nom et le path du fichier de calibration (.cal) :',...
    'Entrer le repertoire de stockage des fichiers tac :',...
    'Entrer les options de traitement :'};
name='Paramtres ncessaires  la construction du fichier batch';
numlines=1;
defaultanswer={'batch_tacle_aude.txt','D:\users\maeva\aude\aude.par',...
    'D:\users\maeva\aude\aude.cal','D:\users\maeva\aude\resu\', '0 0 0'};
answer=inputdlg(prompt,name,numlines,defaultanswer);

% On teste qu'on a bien rentr qqchose
if isempty(answer)
    disp('Bye Bye !')
    return;
end

% on recupere les bons noms
nom_fich_tacle = [pathname char(answer(1))];
nom_par = char(answer(2));
nom_cal = char(answer(3));
nom_rep_resu = char(answer(4));
option=char(answer(5));

% On ouvre les fichiers en lecture et en criture
fin=fopen(nom_fich_capt,'r');
if (fin == -1)
   errordlg('Fichier de batch (.txt) inexistant !!!!','Erreur','on');
   return;
end

fout=fopen(nom_fich_tacle,'w');
if (fout == -1)
    errordlg('Erreur d''ouverture du fichier de sortie !!','Erreur','on');
    return;
end

% On ajoute un entete au fichier de sortie
fprintf(fout, '%s\n', '#');
fprintf(fout, '%s\n', '# Fichier batch pour Tacle cr par capt2tacl sous Matlab');
fprintf(fout, '%s\n', '#');
fprintf(fout, '%s\n', '#   fonctionnement normal :');
fprintf(fout, '%s\n', '#  f. report   	f. parametres   f. calibration f. resultats  saveContours(0/1) fromChroma(0/1) saveChroma(0/1/2)');
fprintf(fout, '%s\n', '#');

% On saute les 7 premieres lignes du fichier d'entre
lign = fgetl(fin);
for i=1:6
 lign = fgetl(fin);
end

while 1
    
    % on teste si on est a la fin du fichier
    fscanf(fin, '%c', 1);
    if (feof(fin) == 1) % on sort
        msg = ['Fichier ' nom_fich_tacle ' cr ! '];
        disp(msg)
        break
    else
        % sinon on recule d'un element
        fseek(fin,-1,0);
        
        % on recupere la ligne courante
        lign_cour = fgetl(fin);

        % On teste le premier caractre pour savoir si c'est une ligne de
        % commentaire
        if numel(lign_cour) ~= 0 % c'est pas une ligne vide
            if ~strcmp(lign_cour(1), '#') % c'est une ligne commente

                % On transfere la ligne en vecteur
                [TC_in,TC_out,fe,rep_in,racine,wav,g,h,i,j,k,l] = strread(lign_cour,...
                    '%s %s %s %s %s %s %s %s %s %s %s %s');
                nom_rep_in=char(rep_in);
                nom_racine=char(racine);

                % On construit la ligne  crire
                lgn_creee=[nom_rep_in nom_racine '_report.txt' sprintf('\t\t')...
                    nom_par sprintf('\t\t') nom_cal sprintf('\t\t') nom_rep_resu...
                    nom_racine '.tac' sprintf('\t\t') num2str(option)];

                % on crit dans le fichier la ligne cre
                fprintf(fout, '%s\n', lgn_creee);
            else
                % on crit dans le fichier la ligne commente
                fprintf(fout,'%s\n', lign_cour);
            end
        else
            % on crit dans le fichier un marqueur de commentaire
            fprintf(fout,'%s\n', '#');
        end
    end
end

fclose(fin);
fclose(fout);
