function [img_A_moy, img_B_moy] = detramage(chemin, prefixe_image, debut, fin, rep_res)

% Programme de Virginie Attina
%  par exple : detramage('M:\data\images\bamou\','sc_bamou',19,20,'d:\temp\');

% fonction permettant de dtramer des images se trouvant dans un mme rpertoire
% chemin : path du rpertoire dans lequel se trouvent les images  dtramer
% prefixe_image : nom des images  dtramer
% debut : numro de la premire image  traiter
% fin : numro de la dernire image  traiter
% rep_res : path du rpertoire dans lequel vont etre stockes les images dtrames

% la trame A est antrieure dans le temps  la trame B
% l'image commence toujours par une ligne impaire -> trame B
% si le nombre de lignes de l'image  dtramer est pair, la dernire ligne est une ligne de la trame A
% si le nombre de lignes de l'image  dtramer est impair, la dernire ligne est une ligne de la trame B

close all;
t0 = clock;

num = debut;
mkdir(rep_res, prefixe_image);

while (num ~= fin+1) %on traite toutes les images du rpertoire
	img_A = []; % matrice pour la trame A
    img_B = []; % matrice pour la trame B
    img_A_moy = []; % matrice pour la trame A
    img_B_moy = []; % matrice pour la trame B
    if num < 10
        path = [chemin prefixe_image '_0000' int2str(num)];
    else
        if num < 100
            path = [chemin prefixe_image '_000' int2str(num)];
        else
            path = [chemin prefixe_image '_00' int2str(num)];
		end
    end
    path;
	[img,map] = IMREAD(path,'bmp'); 
	[li,co,rgb] = size(img);
	for i=1:li % on parcourt l'image d'origine et on prend une ligne sur deux
   	    if rem(i,2) == 0
   		    img_A = [img_A ; img(i,:,:)];
   	    else
      	    img_B = [img_B ; img(i,:,:)];
   	    end
    end
    
    % moyennage de la trame A
    [la,ca,rgba] = size(img_A);
    img_A_moy = [img_A_moy ; img_A(1,:,:)]; % on rajoute toujours en plus la premire ligne pour les trames A (duplique)
    for i=1:la-1 % on parcourt l'image dtrame et on moyenne les lignes manquantes
   	    ligne1 = double(img_A(i,:,:));
        ligne2 = double(img_A(i+1,:,:));
        ligne_moy = fix((ligne1 + ligne2)/2);
        img_A_moy = [img_A_moy ; ligne1 ; ligne_moy];
    end
    img_A_moy = [img_A_moy ; img_A(la,:,:)]; %  la fin on rajoute la dernire
    
    % moyennage de la trame B
    [lb,cb,rgbb] = size(img_B);
    for i=1:lb-1 % on parcourt l'image dtrame et on moyenne les lignes manquantes
   	    ligne1 = double(img_B(i,:,:));
        ligne2 = double(img_B(i+1,:,:));
        ligne_moy = fix((ligne1 + ligne2)/2);
        img_B_moy = [img_B_moy ; ligne1 ; ligne_moy];
    end
    img_B_moy = [img_B_moy ; img_B(lb,:,:)]; %  la fin on rajoute la dernire
    
    
    if rem(li,2) == 0 % on regarde combien de lignes a l'image pour le moyennage des trames (voir si il faut rajouter une ligne)
        % pour la trame B, on rajoute la dernire ligne
        img_B_moy = [img_B_moy ; img_B(lb,:,:)];
    else
        % pour la trame A, on rajoute la dernire ligne
        img_A_moy = [img_A_moy ; img_A(la,:,:)];
    end
        
    if num < 10
        zero = '_000';
    else
        if num < 100
            zero = '_00';
        else
            zero = '_0';
        end
    end
    imA = [rep_res  prefixe_image '\' prefixe_image zero int2str(num) '_A.bmp']; % path de la trame A  enregistrer
    imB = [rep_res  prefixe_image '\' prefixe_image zero int2str(num) '_B.bmp']; % path de la trame B  enregistrer

    imwrite(img_A_moy, imA, 'bmp');
    imwrite(img_B_moy, imB, 'bmp');
   
    num = num + 1
   
end %fin du while
etime(clock,t0)