function detrame_cs(chemin, prefixe_image,num,fin)

% fonction permettant de dtramer des images se trouvant dans un mme rpertoire
% sans utiliser de paramtres en entre
%
% VERSION utilise pour la manip Laureline
% Modif le 09/11/2009

close all;
t0 = clock;
flag_DPS = 1;


while (num ~= fin+1) %on traite toutes les images du rpertoire
	img_A = []; % matrice pour la trame A
    img_B = []; % matrice pour la trame B
    img_A_moy = []; % matrice pour la trame A
    img_B_moy = []; % matrice pour la trame B
    % on definit le chemin d'entre et le nb de zero en sortie
    if num < 10
        path = [chemin '\' prefixe_image '000' int2str(num)];
    else
        if num < 100
            path = [chemin '\' prefixe_image '00' int2str(num)];
        else
            path = [chemin '\' prefixe_image '0' int2str(num)];
		end
    end
    info = [path ' en cours de traitement ...'];
    disp(info);
     
	[img,map] = imread(path,'bmp'); 
	[li,co,rgb] = size(img);
    
	for i=1:li % on parcourt l'image d'origine et on prend une ligne sur deux
        % Attention pour image issue de DPS : trame A et B inverses
   	    if rem(i,2) == 0 % image paire en premier = trame A
   		    %img_A = [img_A ; img(i,353:718,:)];
            img_A = [img_A ; img(i,:,:)];
   	    else
      	    %img_B = [img_B ; img(i,353:718,:)];
            img_B = [img_B ; img(i,:,:)];
   	    end
    end
    
    % moyennage des trames A et B
    [la,ca,rgba] = size(img_A);
    [lb,cb,rgbb] = size(img_B);
    img_A_moy = [img_A_moy ; img_A(1,:,:)]; % on rajoute toujours en plus la premire ligne pour les trames A (duplique)
 
    if la == lb % si on a le meme nb de ligne sur trame A et B on ne fait qu'une seule boucle
      for i=1:la-1 % on parcourt l'image dtrame et on moyenne les lignes manquantes
   	    ligne1a = double(img_A(i,:,:));
        ligne2a = double(img_A(i+1,:,:));
        ligne_moya = fix((ligne1a + ligne2a)/2);
        img_A_moy = [img_A_moy ; ligne1a ; ligne_moya];
   	    ligne1b = double(img_B(i,:,:));
        ligne2b = double(img_B(i+1,:,:));
        ligne_moyb = fix((ligne1b + ligne2b)/2);
        img_B_moy = [img_B_moy ; ligne1b ; ligne_moyb];
      end
      %  la fin on rajoute la dernire
      img_A_moy = [img_A_moy ; img_A(la,:,:)]; 
      img_B_moy = [img_B_moy ; img_B(lb,:,:)];
    else % on separe les 2 trames
      % moyennage de la trame A  
      for i=1:la-1 % on parcourt l'image dtrame et on moyenne les lignes manquantes
   	    ligne1 = double(img_A(i,:,:));
        ligne2 = double(img_A(i+1,:,:));
        ligne_moy = fix((ligne1 + ligne2)/2);
        img_A_moy = [img_A_moy ; ligne1 ; ligne_moy];
      end
      img_A_moy = [img_A_moy ; img_A(la,:,:)]; %  la fin on rajoute la dernire
    
      % moyennage de la trame B
      for i=1:lb-1 % on parcourt l'image dtrame et on moyenne les lignes manquantes
   	    ligne1 = double(img_B(i,:,:));
        ligne2 = double(img_B(i+1,:,:));
        ligne_moy = fix((ligne1 + ligne2)/2);
        img_B_moy = [img_B_moy ; ligne1 ; ligne_moy];
      end
      img_B_moy = [img_B_moy ; img_B(lb,:,:)]; %  la fin on rajoute la dernire
    end

    if rem(li,2) == 0 % on regarde combien de lignes a l'image pour le moyennage des trames (voir si il faut rajouter une ligne)
        % pour la trame B, on rajoute la dernire ligne
        img_B_moy = [img_B_moy ; img_B(lb,:,:)];
    else
        % pour la trame A, on rajoute la dernire ligne
        img_A_moy = [img_A_moy ; img_A(la,:,:)];
    end
    
    % On definit le nom du fichier de sortie
        if num < 10
        zero = '000';
    else
        if num < 100
            zero = '00';
        else
            zero = '0';
        end
    end

        if flag_DPS  % On inverse les trames A et B
            imA = [chemin '\img_detrame\' prefixe_image zero int2str(num) '_B.bmp']; % path de la trame A  enregistrer
            imB = [chemin '\img_detrame\' prefixe_image zero int2str(num) '_A.bmp']; % path de la trame B  enregistrer
        else
            imA = [chemin prefixe_image int2str(num) '_A.bmp']; % path de la trame A  enregistrer
            imB = [chemin prefixe_image int2str(num) '_B.bmp']; % path de la trame B  enregistrer
        end
%     else
%         if flag_DPS % On inverse les trames A et B
%             imA = [chemin prefixe_image int2str(num) '_B.bmp']; % path de la trame A  enregistrer
%             imB = [chemin prefixe_image int2str(num) '_A.bmp']; % path de la trame B  enregistrer
%         else
%             imA = [chemin prefixe_image int2str(num) '_A.bmp']; % path de la trame A  enregistrer
%             imB = [chemin prefixe_image int2str(num) '_B.bmp']; % path de la trame B  enregistrer
%         end
%     end


        imwrite(img_A_moy, imA, 'bmp');
        imwrite(img_B_moy, imB, 'bmp');
    
    num = num + 1;
   
end %fin du while
msg= ['Temps de calcul : ' num2str(etime(clock,t0))];
disp(msg)