function [liste, long, nb_item] = dir2list(rep)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  liste l'ensemble des fichiers present dans un rpertoire 
%%
%%  entre
%%    rep  : chemin du rpertoire  lister
%%
%%  sorties
%%    liste : donne la liste des fichiers
%%    nb_item : nombre de fichiers prsents dans le rpertoire
%%
%%  exemple :
%%      [liste, long, nb_item] = dir2list('d:\temp\*.wav');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%														
%%  date : 24/08/2004
%%  auteur : Christophe Savariaux								
%%  ICP - Grenoble		
%%														
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
nb_car_max = 50; % nb max de car ds la chaine
liste = [];
long = [];
nb_item = 0;

%on recupere le nom du repertoire
nom_rep = rep(1:max(findstr(rep,'\')));

%on recupere le contenu du rpertoire
lst_tmp = dir(rep);

%on compte le nombre d'lments
nb_item = size(lst_tmp,1);

for i=1:nb_item
    %on rcupre le nom de l'item courant
    item = lst_tmp(i).name;
    
    % on lerajoute a la liste
    liste = [liste ; nom_rep, item , blanks(nb_car_max-length(item))];
    
    % on recupere sa longueur
    long(i)= length(nom_rep) + length(item);
end
