function dva2wav(rep)

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	Nom : dva2wav													
%	Permet de tranformer les fichiers .dva (stereo 16b) issus de DPSReality
%   en fichier .wav (mono 16b) avec un delai de 23 echantillons (a priori)
%   a Fe = 22050 Hz
%
%   Input
%     rep : repertoire d'entre + type de fichiers
%
%   Exemple : dva2wav('d:\users\aude\wav\nicolas\*.dva')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%														
%	date : 20 janvier 2003
%	auteur : Christophe Savariaux								
% 	ICP - Grenoble		
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

[liste, long, nb_item] = ls2list(rep);
% on definit le silence a rajouter a priori
% delai = 23 echantillons a 22050 Hz
% 46  44100 Hz

for i=1:nb_item
    fich_out = [];
    wav_stereo = 0;
    wav_L = 0;
    wav_new = 0;
    [wav_stereo,Fe] = wavread(liste(i,:));
    if Fe == 44100
        taille = 46;
        silence = zeros(taille,1);
    elseif Fe == 22050
        taille = 23;
        silence = zeros(taille,1);
    else
        disp('Fe non standard !');
        return;
    end

    % On recupere la voie de gauche
    wav_L = wav_stereo(:,1); % le signal utile
    long_wav = length(wav_L);
    wav_new = [silence; wav_L(1:long_wav-taille)];
    %wav_new = wav_stereo(:,1);
    % on genere le nouveau nom
    fich_out = [liste(i,1:long(i)-3) 'wav']
    %fich_out = [liste(i,1:long(i)-4) '_m.wav']
    wavwrite(wav_new,Fe,fich_out);
end

