function [sig_out] = filtre_pbas_CS(sig_in,fech,ordre,fcc)

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : filtre_pbas_CS.m
% Auteur : CS
% Date : 20/09/03
% Contenu : Filtrage passe bas de donnes de lvres par exemple
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Exemple de paramtrage du filtre
%ordre = 10;
%fcc = 15;

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 4
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : filtre_pbas_CS(sig_in,fech,ordre,fcc)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end


% Apres essais, il se trouve que le chebychev 
% filtre mieux (coupe plus les frequences elevees) 
% que le butterworth.
%[C D] = butter(EMA_ORD_FILT,(2*EMA_FREQ_COUP)/fech);
[C D] = cheby1(ordre,0.5, (2*fcc)/fech);

sig_out = filtfilt (C,D,sig_in);

% si on veut plotter la fft 
flag_fft = 0;
if flag_fft
    long_sig = length(sig_in);
    sig_fft = fft(sig_in(1:long_sig));
    f = linspace(0,fech,long_sig+1);
    f = f(1:end-1);
    plot(f,abs(sig_fft));
    sig_out_fft = fft(sig_out(1:long_sig));
    hold on
    plot(f,abs(sig_out_fft),'r');
end

return;













