function [liste, long, nb_item] = ls2list(rep)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  liste l'ensemble des fichiers present dans un rpertoire 
%%
%%  entre
%%    rep  : chemin du rpertoire  lister
%%
%%  sorties
%%    liste : donne la liste des fichiers
%%    long : longueur de chaque ligne
%%    nb_item : nombre de fichiers prsents dans le rpertoire
%%
%%  exemple :
%%      [liste, long, nb_item] = ls2list('d:\temp\*.wav');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%														
%%  date : 31/01/2001
%%  auteur : Christophe Savariaux								
%%  ICP - Grenoble		
%%														
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
nb_car_max = 50; % nb max de car ds la chaine
liste = [];
long = [];
nb_item = 0;
%rep='d:\temp\*.wav'

%on recupere le nom du repertoire
nom_rep = rep(1:max(findstr(rep,'\')));

%on recupere le contenu du rpertoire sous forme d'une chaine de caractres
list_tmp = evalc(['ls ' rep]);

while 1
    % on cherche une suite de caracteres spare par un espace
    [lst_tmp,list_tmp] = strtok(list_tmp,' ');
    
    % on supprime le caractere LF si prsent dans la chaine
    [lst, lst_tmp] = strtok(lst_tmp, setstr(10));
    
    if ~isempty(isletter(list_tmp))
         nb_item = nb_item+1;
        % on rajoute a la liste
        liste = [liste ; nom_rep, lst, blanks(nb_car_max-length(lst))];
        long(nb_item)= length(nom_rep) + length(lst);
    else
        break;
    end
end

% on trie la liste par ordre alpha
% ATTETION si TRI alors on perd les infos sur la longueur des noms
%liste = sortrows(liste);
