function riff2wav(rep)

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	Nom : riff2wav													
%	Permet de transformer les fichiers RIFF issus de EVA
%   en fichier .wav (mono 16b) avec Fe = 20000 Hz
%
%   Input
%     rep : repertoire d'entre + type de fichiers
%
%   Exemple : riff2wav('d:\temp\*.wa1')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%														
%	date : 25 mai 2004
%	auteur : Christophe Savariaux								
% 	ICP - Grenoble		
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

[liste, long, nb_item] = ls2list(rep);

Fe_new = 20000;

for i=1:nb_item
    fich_out = [];
    wav_stereo = 0;
    wav_L = 0;
    wav_new = 0;
    [signal, sdsc, adsc, list] = lire_RIFF(liste(i,:));
    Fe = sdsc.freq_sgl;
    
    % sous echantillonnage du signal a FE_new
    wav_new = resample(signal,Fe_new,Fe);
    
    % on genere le nouveau nom
    fich_out = [liste(i,1:long(i)-3) 'wav']
    
    % sauvegarde du signal au format WAV 
    wavwrite(wav_new,Fe_new,fich_out);
    %wavwrite(signal,Fe,fich_out);
    
end

