function tac2inv_cs(chemin, nom_fich_in)

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	FUNCTION tac2inv_cs : permet d'inverser les trames A et B
%   dans un fichier .tac issus de tacle
%   A utiliser dans le cas d'une capture avec la station DPS
%
%   REM : Fonction avec paramtres d'entres ! diffrent de tac2inv
%
%  Sortie :
%   resultat stock dans un fichier nom_fich_tac_inv.tac
%             
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%														
%	date : 5 mars 2003
%	auteur : Christophe Savariaux								
% 	ICP - Grenoble		
%	derniere modif : 
%       CS le 21/03/06 : plus de paramtres d'entre													
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% On cherche le fichier .tac
%[nom_fich_in, chemin, filterindex] = uigetfile('*.tac',...
%     'Recherche du fichier tacle (*.tac)');
% if filterindex == 0
%     return;
% end

% On cr le fichier de sortie
nom_fich_out = [nom_fich_in(1:length(nom_fich_in)-4) '_inv.tac']

fin=fopen([chemin nom_fich_in],'r');
if (fin == -1)
   errordlg('Fichier de parametres (.tac) inexistant !!!!','Erreur','on');
   return;
end

fout=fopen([chemin nom_fich_out],'wt');
if (fout == -1)
    errordlg('Erreur d''ouverture du fichier de sortie !!','Erreur','on');
    return;
end

% On ajoute un entete
fprintf(fout, '%s\n', '# Fichier tacle invers sous matlab par la fonction tac2inv');

% On saute les 7 premieres lignes
lign = fgetl(fin);
for i=1:6
 lign = fgetl(fin);
 fprintf(fout, '%s\n', lign);
end

while 1
    % on recupere les 2 lignes
    lign_A = fgetl(fin);
    lign_B = fgetl(fin);
    
    % on les ecrit dans l'ordre inverse
    fprintf(fout, '%s\n', lign_B);
    fprintf(fout, '%s\n', lign_A);
   
   % on teste si on est a la fin du fichier
   fscanf(fin, '%c', 1);
   if (feof(fin) == 1) % on sort
      break
   else      % sinon on recule d'un element
      fseek(fin,-1,0);
   end   
end

fclose(fin);
fclose(fout);
