function tac2trames(nom_fich,trm);

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	FUNCTION tac2trames(nom_fich,trm) : permet de prendre qu'une ligne sur 2
%   dans un fichier .tac issus de tacle
%   A utiliser dans le cas d'une capture avec une camra DV
%
%  Entre : 
%   nom_fich : nom du fichier tacle avec ou sans extension
%   trm : type de trame A ou B  garder
%
%  Sortie :
%   resultat stock dans un fichier nom_fich_trm.tac
%             
%  Exemple :
%   tac2trames('d:\temp\iy1_cp.tac','A');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%														
%	date : 3 mars 2005
%	auteur : Christophe Savariaux								
% 	ICP - Grenoble		
%														
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if strcmp(nom_fich(length(nom_fich)-3:length(nom_fich)),'.tac') % il y a deja l'extension
    nom_fich_in = nom_fich;
    nom_fich_out = [nom_fich(1:length(nom_fich)-4) '_trm.tac'];
else
    nom_fich_in = [nom_fich '.tac'];
    nom_fich_out = [nom_fich '_trm.tac'];
end

fin=fopen(nom_fich_in,'r');
if (fin == -1)
   errordlg('Fichier de parametres (.tac) inexistant !!!!','Erreur','on');
   return;
end

fout=fopen(nom_fich_out,'wt');
if (fout == -1)
    errordlg('Erreur d''ouverture du fichier de sortie !!','Erreur','on');
    return;
end

% On ajoute un entete
fprintf(fout, '%s\n', '# Fichier tacle invers sous matlab par la fonction tac2inv');

% On saute les 7 premieres lignes
lign = fgetl(fin);
for i=1:6
 lign = fgetl(fin);
 fprintf(fout, '%s\n', lign);
end

while 1
    % on recupere les 2 lignes
    lign_A = fgetl(fin);
    lign_B = fgetl(fin);
    
    % on ecrit 1 ligne sur les 2 en fonction du parametre trm
    if strcmp(trm,'A')
        fprintf(fout, '%s\n', lign_A);
    elseif strcmp(trm,'B')
        fprintf(fout, '%s\n', lign_B);
    else
        errordlg('Erreur 2eme parametre incorrect, rentrez uniquement A ou B !!','Erreur','on');
        return;
    end
   % on teste si on est a la fin du fichier
   fscanf(fin, '%c', 1);
   if (feof(fin) == 1) % on sort
      break
   else      % sinon on recule d'un element
      fseek(fin,-1,0);
   end   
end

fclose(fin);
fclose(fout);
